package com.ac.refapp.hybris.service;

import org.apache.log4j.Logger;
import org.switchyard.component.bean.Service;

import com.ac.order.ejbService.JbpmService;
import com.ac.refapp.hybris.model.Ticket;

@Service(MonitorManagementService.class)
public class MonitorManagementServiceImpl implements MonitorManagementService {

	private static final Logger LOGGER = Logger.getLogger(MonitorManagementServiceImpl.class);
	JbpmService jbpmService = null;
	
	@Override
	public void saveOrder2DB(Ticket ticket) {
//		jbpmService = EjbLocator.getJbpmService();
//		LOGGER.info("saveOrder2DB" + ticket.getStatus());
		System.out.println("<mms:saveOrder2DB>");
		System.out.println("ticket: " + System.identityHashCode(ticket) + " id: " + (ticket != null ? ticket.getId() : "null"));
		System.out.println("</mms:saveOrder2DB>");
//		jbpmService.saveHybrisOrder(ticket.getOrder());
	}

	@Override
	public void updateOrder(Ticket ticket) {
//		jbpmService = EjbLocator.getJbpmService();
//		jbpmService.updateHybrisOrder2Approved(ticket.getOrder());
//		LOGGER.info("createCSV" + ticket.getStatus());
	    System.out.println("<mms:updateOrder>");
	    System.out.println("ticket: " + System.identityHashCode(ticket) + " id: " + (ticket != null ? ticket.getId() : "null"));
		System.out.println("size-----"+ticket.getHybrisOrderList().getHybrisOrders().size());
		System.out.println(ticket.getStatus());
		System.out.println("</mms:updateOrder>");
	}

	@Override
	public void removeFromDB(Ticket ticket) {
//		jbpmService = EjbLocator.getJbpmService();
//		jbpmService.updateHybrisOrder2Reject(ticket.getOrder());
//		LOGGER.info("removeFromDB" + ticket.getStatus());
		System.out.println("<mms:removeFromDB>");
		System.out.println("ticket: " + System.identityHashCode(ticket) + " id: " + (ticket != null ? ticket.getId() : "null"));
		System.out.println("</mms:removeFromDB>");
	}

	@Override
	public void finish(Ticket ticket) {
		System.out.println("<mms:finish>");
		System.out.println("ticket: " + ticket + " id: " + (ticket != null ? ticket.getId() : "null"));
		System.out.println("size-----"+ticket.getHybrisOrderList().getHybrisOrders().size());
		System.out.println("</mms:finish>");
	}

	@Override
	public void unfinish(Ticket ticket) {
		System.out.println("<mms:unfinish>");
		System.out.println("ticket: " + System.identityHashCode(ticket) + " id: " + (ticket != null ? ticket.getId() : "null"));
		System.out.println("size-----"+ticket.getHybrisOrderList().getHybrisOrders().size());
		System.out.println("</mms:unfinish>");
	}

}
